osl::KakinokiFile Class Reference

`#include <kakinoki.h>`

Inheritance diagram for osl::KakinokiFile:

## Public Member Functions

| KakinokiFile (const std::string &filename)
| ~KakinokiFile ()
Public Member Functions inherited from osl::record::RecordFile
virtual | ~RecordFile ()
Record | load () const
const NumEffectState | initialState () const
const std::vector< Move > | moves () const

## Static Public Member Functions

static bool | isKakinokiFile (const std::string &filename)
static void | parseLine (SimpleState &state, Record &record, std::string s, CArray< bool, 9 > &board_parsed)

## Additional Inherited Members

Protected Attributes inherited from osl::record::RecordFile
Record | record

## Detailed Description

Definition at line 20 of file kakinoki.h.

## Constructor & Destructor Documentation

## KakinokiFile()

osl::kakinoki::KakinokiFile::KakinokiFile | ( | const std::string & | filename | ) |

Definition at line 217 of file kakinoki.cc.

## ~KakinokiFile()

osl::kakinoki::KakinokiFile::~KakinokiFile | ( |  | ) |

Definition at line 252 of file kakinoki.cc.

## Member Function Documentation

## isKakinokiFile()

bool osl::kakinoki::KakinokiFile::isKakinokiFile | ( | const std::string & | filename | ) |

static

Definition at line 257 of file kakinoki.cc.

## parseLine()

void osl::kakinoki::KakinokiFile::parseLine | ( | SimpleState & | state,
|  | Record & | record,
|  | std::string | s,
|  | CArray< bool, 9 > & | board_parsed )

static

Definition at line 20 of file kakinoki.cc.

The documentation for this class was generated from the following files:

- kakinoki.h
- kakinoki.cc